  This file documents Texinfo, a documentation system that can produce
both on-line information and a printed manual from a single source file.

  Copyright (C) 1988, 90, 91, 92, 93, 95, 96, 97 Free Software
Foundation, Inc.

  This is the second edition of the Texinfo documentation,
and is consistent with version 2 of `texinfo.tex'.

  Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

  Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

  Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be stated in a
translation approved by the Free Software Foundation.

Info Files in Other Directories
===============================

  If an Info file is not in the `info' directory, there are three ways
to specify its location:

   * Write the pathname in the `dir' file as the second part of the
     menu.

   * If you are using Emacs, list the name of the file in a second `dir'
     file, in its directory; and then add the name of that directory to
     the `Info-directory-list' variable in your personal or site
     initialization file.

     This tells Emacs where to look for `dir' files.  Emacs merges the
     files named `dir' from each of the listed directories.  (In Emacs
     version 18, you can set the `Info-directory' variable to the name
     of only one directory.)

   * Specify the Info directory name in the `INFOPATH' environment
     variable in your `.profile' or `.cshrc' initialization file.
     (Only you and others who set this environment variable will be
     able to find Info files whose location is specified this way.)

  For example, to reach a test file in the `/home/bob/manuals'
directory, you could add an entry like this to the menu in the `dir'
file:

     * Test: (/home/bob/manuals/info-test).  Bob's own test file.

In this case, the absolute file name of the `info-test' file is written
as the second part of the menu entry.

  Alternatively, you could write the following in your `.emacs' file:

     (setq Info-directory-list
           '("/home/bob/manuals"
             "/usr/local/info"))

  This tells Emacs to merge the `dir' file from the `/home/bob/manuals'
directory with the `dir' file from the `/usr/local/info' directory.
Info will list the `/home/bob/manuals/info-test' file as a menu entry
in the `/home/bob/manuals/dir' file.

  Finally, you can tell Info where to look by setting the `INFOPATH'
environment variable in your `.cshrc' or `.profile' file.  If you use a
Bourne-compatible shell such as `sh' or `bash' for your shell command
interpreter, you set the `INFOPATH' environment variable in the
`.profile' initialization file; but if you use `csh' or `tcsh', you
must set the variable in the `.cshrc' initialization file.  The two
types of shells use different syntax.

   * In a `.cshrc' file, you could set the `INFOPATH' variable as
     follows:

          setenv INFOPATH .:~/manuals:/usr/local/emacs/info

   * In a `.profile' file, you would achieve the same effect by writing:

          INFOPATH=.:$HOME/manuals:/usr/local/emacs/info
          export INFOPATH

The `.' indicates the current directory as usual.  Emacs uses the
`INFOPATH' environment variable to initialize the value of Emacs's own
`Info-directory-list' variable.

  However you set `INFOPATH', if its last character is a colon, this is
replaced by the default (compiled-in) path.  This gives you a way to
augment the default path with new directories without having to list all
the standard places.  For example (using `sh' syntax:

     INFOPATH=/local/info:
     export INFOPATH

will search `/local/info' first, then the standard directories.
Leading or doubled colons are not treated specially.

Installing Info Directory Files
===============================

  When you install an Info file onto your system, you can use the
program `install-info' to update the Info directory file `dir'.
Normally the makefile for the package runs `install-info', just after
copying the Info file into its proper installed location.

  In order for the Info file to work with `install-info', you should
use the commands `@dircategory' and `@direntry' in the Texinfo source
file.  Use `@direntry' to specify the menu entry to add to the Info
directory file, and use `@dircategory' to specify which part of the
Info directory to put it in.  Here is how these commands are used in
this manual:

     @dircategory Texinfo documentation system
     @direntry
     * Texinfo: (texinfo).           The GNU documentation format.
     * install-info: (texinfo)Invoking install-info. ...
     ...
     @end direntry

  Here's what this produces in the Info file:

     INFO-DIR-SECTION Texinfo documentation system
     START-INFO-DIR-ENTRY
     * Texinfo: (texinfo).           The GNU documentation format.
     * install-info: (texinfo)Invoking install-info. ...
     ...
     END-INFO-DIR-ENTRY

The `install-info' program sees these lines in the Info file, and that
is how it knows what to do.

  Always use the `@direntry' and `@dircategory' commands near the
beginning of the Texinfo input, before the first `@node' command.  If
you use them later on in the input, `install-info' will not notice them.

  If you use `@dircategory' more than once in the Texinfo source, each
usage specifies one category; the new menu entry is added to the Info
directory file in each of the categories you specify.  If you use
`@direntry' more than once, each usage specifies one menu entry; each
of these menu entries is added to the directory in each of the
specified categories.

Invoking install-info
=====================

  `install-info' inserts menu entries from an Info file into the
top-level `dir' file in the Info system (see the previous sections for
an explanation of how the `dir' file works).  It's most often run as
part of software installation, or when constructing a dir file for all
manuals on a system.  Synopsis:

     install-info [OPTION]... [INFO-FILE [DIR-FILE]]

  If INFO-FILE or DIR-FILE are not specified, the various options
(described below) that define them must be.  There are no compile-time
defaults, and standard input is never used.  `install-info' can read
only one info file and write only one dir file per invocation.

  If DIR-FILE (however specified) does not exist, `install-info'
creates it if possible (with no entries).

  Options:

`--delete'
     Delete the entries in INFO-FILE from DIR-FILE.  The file name in
     the entry in DIR-FILE must be INFO-FILE (except for an optional
     `.info' in either one).  Don't insert any new entries.

`--dir-file=NAME'
     Specify file name of the Info directory file.  This is equivalent
     to using the DIR-FILE argument.

`--entry=TEXT'
     Insert TEXT as an Info directory entry; TEXT should have the form
     of an Info menu item line plus zero or more extra lines starting
     with whitespace.  If you specify more than one entry, they are all
     added.  If you don't specify any entries, they are determined from
     information in the Info file itself.

`--help'
     Display a usage message listing basic usage and all available
     options, then exit successfully.

`--info-file=FILE'
     Specify Info file to install in the directory.  This is equivalent
     to using the INFO-FILE argument.

`--info-dir=DIR'
     Equivalent to `--dir-file=DIR/dir'.

`--item=TEXT'
     Same as `--entry=TEXT'.  An Info directory entry is actually a
     menu item.

`--quiet'
     Suppress warnings.

`--remove'
     Same as `--delete'.

`--section=SEC'
     Put this file's entries in section SEC of the directory.  If you
     specify more than one section, all the entries are added in each
     of the sections.  If you don't specify any sections, they are
     determined from information in the Info file itself.

`--version'
     Display version information and exit successfully.

@-Command List
**************

  Here is an alphabetical list of the @-commands in Texinfo.  Square
brackets, [ ], indicate optional arguments; an ellipsis, `...',
indicates repeated text.

`@WHITESPACE'
     An `@' followed by a space, tab, or newline produces a normal,
     stretchable, interword space.  See Multiple Spaces.

`@!'
     Generate an exclamation point that really does end a sentence
     (usually after an end-of-sentence capital letter).  See Ending a Sentence.

`@"'
`@''
     Generate an umlaut or acute accent, respectively, over the next
     character, as in "o and 'o.  See Inserting Accents.

`@*'
     Force a line break. Do not end a paragraph that uses `@*' with an
     `@refill' command.  See Line Breaks.

`@,{C}'
     Generate a cedilla accent under C, as in c,.  See Inserting Accents.

`@-'
     Insert a discretionary hyphenation point.  See - and hyphenation.

`@.'
     Produce a period that really does end a sentence (usually after an
     end-of-sentence capital letter).  See Ending a Sentence.

`@:'
     Indicate to TeX that an immediately preceding period, question
     mark, exclamation mark, or colon does not end a sentence.  Prevent
     TeX from inserting extra whitespace as it does at the end of a
     sentence.  The command has no effect on the Info file output.
     See Not Ending a Sentence.

`@='
     Generate a macro (bar) accent over the next character, as in =o.
     See Inserting Accents.

`@?'
     Generate a question mark that really does end a sentence (usually
     after an end-of-sentence capital letter).  See Ending a Sentence.

`@@'
     Stands for an at sign, `@'.  See Inserting @ and braces.

`@^'
`@`'
     Generate a circumflex (hat) or grave accent, respectively, over
     the next character, as in ^o.  See Inserting Accents.

`@{'
     Stands for a left brace, `{'.  See Inserting @ and braces.

`@}'
     Stands for a right-hand brace, `}'.
     See Inserting @ and braces.

`@='
     Generate a tilde accent over the next character, as in ~N.  See
     Inserting Accents.

`@AA{}'
`@aa{}'
     Generate the uppercase and lowercase Scandinavian A-ring letters,
     respectively: AA, aa.  See Inserting Accents.

`@AE{}'
`@ae{}'
     Generate the uppercase and lowercase AE ligatures, respectively:
     AE, ae.  See Inserting Accents.

`@afourpaper'
     Change page dimensions for the A4 paper size.  Only allowed inside
     `@iftex' ... `@end iftex'.  See A4 Paper.

`@appendix TITLE'
     Begin an appendix.  The title appears in the table of contents of
     a printed manual.  In Info, the title is underlined with
     asterisks.  See The `@unnumbered' and `@appendix' Commands.

`@appendixsec TITLE'
`@appendixsection TITLE'
     Begin an appendix section within an appendix.  The section title
     appears in the table of contents of a printed manual.  In Info,
     the title is underlined with equal signs.  `@appendixsection' is a
     longer spelling of the `@appendixsec' command.  See Section Commands.

`@appendixsubsec TITLE'
     Begin an appendix subsection within an appendix.  The title appears
     in the table of contents of a printed manual.  In Info, the title
     is underlined with hyphens.  See Subsection Commands.

`@appendixsubsubsec TITLE'
     Begin an appendix subsubsection within an appendix subsection.  The
     title appears in the table of contents of a printed manual.  In
     Info, the title is underlined with periods.  See The `subsub' Commands.

`@asis'
     Used following `@table', `@ftable', and `@vtable' to print the
     table's first column without highlighting ("as is").  See Making a Two-column Table.

`@author AUTHOR'
     Typeset AUTHOR flushleft and underline it.  See The `@title' and `@author' Commands.

`@b{TEXT}'
     Print TEXT in bold font.  No effect in Info.  See Fonts.

`@bullet{}'
     Generate a large round dot, or the closest possible thing to one.
     See `@bullet'.

`@bye'
     Stop formatting a file.  The formatters do not see the contents of
     a file following an `@bye' command.  See Ending a File.

`@c COMMENT'
     Begin a comment in Texinfo.  The rest of the line does not appear
     in either the Info file or the printed manual.  A synonym for
     `@comment'.  See Comments.

`@cartouche'
     Highlight an example or quotation by drawing a box with rounded
     corners around it.  Pair with `@end cartouche'.  No effect in
     Info.  See Drawing Cartouches Around Examples.)

`@center LINE-OF-TEXT'
     Center the line of text following the command.  See `@center'.

`@centerchap LINE-OF-TEXT'
     Like `@chapter', but centers the chapter title.  See `@chapter'.

`@chapheading TITLE'
     Print a chapter-like heading in the text, but not in the table of
     contents of a printed manual.  In Info, the title is underlined
     with asterisks.  See `@majorheading' and `@chapheading'.

`@chapter TITLE'
     Begin a chapter.  The chapter title appears in the table of
     contents of a printed manual.  In Info, the title is underlined
     with asterisks.  See `@chapter'.

`@cindex ENTRY'
     Add ENTRY to the index of concepts.  See Defining the Entries of an Index.

`@cite{REFERENCE}'
     Highlight the name of a book or other reference that lacks a
     companion Info file.  See `@cite'.

`@clear FLAG'
     Unset FLAG, preventing the Texinfo formatting commands from
     formatting text between subsequent pairs of `@ifset FLAG' and
     `@end ifset' commands, and preventing `@value{FLAG}' from
     expanding to the value to which FLAG is set.  See `@set' `@clear' `@value'.

`@code{SAMPLE-CODE}'
     Highlight text that is an expression, a syntactically complete
     token of a program, or a program name.  See `@code'.

`@comment COMMENT'
     Begin a comment in Texinfo.  The rest of the line does not appear
     in either the Info file or the printed manual.  A synonym for `@c'.
     See Comments.

`@contents'
     Print a complete table of contents.  Has no effect in Info, which
     uses menus instead.  See Generating a Table of Contents.

`@copyright{}'
     Generate a copyright symbol.  See `@copyright'.

`@defcodeindex INDEX-NAME'
     Define a new index and its indexing command.  Print entries in an
     `@code' font.  See Defining New Indices.

`@defcv CATEGORY CLASS NAME'
`@defcvx CATEGORY CLASS NAME'
     Format a description for a variable associated with a class in
     object-oriented programming.  Takes three arguments: the category
     of thing being defined, the class to which it belongs, and its
     name.  See Definition Commands, and Def Cmds in Detail.

`@deffn CATEGORY NAME ARGUMENTS...'
`@deffnx CATEGORY NAME ARGUMENTS...'
     Format a description for a function, interactive command, or
     similar entity that may take arguments.  `@deffn' takes as
     arguments the category of entity being described, the name of this
     particular entity, and its arguments, if any.  See Definition Commands.

`@defindex INDEX-NAME'
     Define a new index and its indexing command.  Print entries in a
     roman font.  See Defining New Indices.

`@definfoenclose NEW-COMMAND, BEFORE, AFTER,'
     Create new @-command for Info that marks text by enclosing it in
     strings that precede and follow the text.  Write definition inside
     of `@ifinfo' ... `@end ifinfo'. See Customized Highlighting.

`@defivar CLASS INSTANCE-VARIABLE-NAME'
`@defivarx CLASS INSTANCE-VARIABLE-NAME'
     This command formats a description for an instance variable in
     object-oriented programming.  The command is equivalent to `@defcv
     {Instance Variable} ...'.  See Definition Commands, and
     Def Cmds in Detail.

`@defmac MACRO-NAME ARGUMENTS...'
`@defmacx MACRO-NAME ARGUMENTS...'
     Format a description for a macro.  The command is equivalent to
     `@deffn Macro ...'.  See Definition Commands, and Def Cmds in Detail.

`@defmethod CLASS METHOD-NAME ARGUMENTS...'
`@defmethodx CLASS METHOD-NAME ARGUMENTS...'
     Format a description for a method in object-oriented programming.
     The command is equivalent to `@defop Method ...'.  Takes as
     arguments the name of the class of the method, the name of the
     method, and its arguments, if any.  See Definition Commands,
     and Def Cmds in Detail.

`@defop CATEGORY CLASS NAME ARGUMENTS...'
`@defopx CATEGORY CLASS NAME ARGUMENTS...'
     Format a description for an operation in object-oriented
     programming.  `@defop' takes as arguments the overall name of the
     category of operation, the name of the class of the operation, the
     name of the operation, and its arguments, if any.  See
     Definition Commands, and Def Cmds in Detail.

`@defopt OPTION-NAME'
`@defoptx OPTION-NAME'
     Format a description for a user option.  The command is equivalent
     to `@defvr {User Option} ...'.  See Definition Commands, and
     Def Cmds in Detail.

`@defspec SPECIAL-FORM-NAME ARGUMENTS...'
`@defspecx SPECIAL-FORM-NAME ARGUMENTS...'
     Format a description for a special form.  The command is
     equivalent to `@deffn {Special Form} ...'.  See Definition Commands,
     and Def Cmds in Detail.

`@deftp CATEGORY NAME-OF-TYPE ATTRIBUTES...'
`@deftpx CATEGORY NAME-OF-TYPE ATTRIBUTES...'
     Format a description for a data type.  `@deftp' takes as arguments
     the category, the name of the type (which is a word like `int' or
     `float'), and then the names of attributes of objects of that type.
     See Definition Commands, and Def Cmds in Detail.

`@deftypefn CLASSIFICATION DATA-TYPE NAME ARGUMENTS...'
`@deftypefnx CLASSIFICATION DATA-TYPE NAME ARGUMENTS...'
     Format a description for a function or similar entity that may take
     arguments and that is typed.  `@deftypefn' takes as arguments the
     classification of entity being described, the type, the name of the
     entity, and its arguments, if any.  See Definition Commands,
     and Def Cmds in Detail.

`@deftypefun DATA-TYPE FUNCTION-NAME ARGUMENTS...'
`@deftypefunx DATA-TYPE FUNCTION-NAME ARGUMENTS...'
     Format a description for a function in a typed language.  The
     command is equivalent to `@deftypefn Function ...'.  See
     Definition Commands, and Def Cmds in Detail.

`@deftypemethod CLASS DATA-TYPE METHOD-NAME ARGUMENTS...'
`@deftypemethodx CLASS DATA-TYPE METHOD-NAME ARGUMENTS...'
     Format a description for a typed method in object-oriented
     programming.  Takes as arguments the name of the class of the
     method, the return type of the method, the name of the method, and
     its arguments, if any.  See Definition Commands, and Def Cmds in Detail.

`@deftypevr CLASSIFICATION DATA-TYPE NAME'
`@deftypevrx CLASSIFICATION DATA-TYPE NAME'
     Format a description for something like a variable in a typed
     language--an entity that records a value.  Takes as arguments the
     classification of entity being described, the type, and the name
     of the entity.  See Definition Commands, and Def Cmds in Detail.

`@deftypevar DATA-TYPE VARIABLE-NAME'
`@deftypevarx DATA-TYPE VARIABLE-NAME'
     Format a description for a variable in a typed language.  The
     command is equivalent to `@deftypevr Variable ...'.  See
     Definition Commands, and Def Cmds in Detail.

`@defun FUNCTION-NAME ARGUMENTS...'
`@defunx FUNCTION-NAME ARGUMENTS...'
     Format a description for functions.  The command is equivalent to
     `@deffn Function ...'.  See Definition Commands, and Def Cmds in Detail.

`@defvar VARIABLE-NAME'
`@defvarx VARIABLE-NAME'
     Format a description for variables.  The command is equivalent to
     `@defvr Variable ...'.  See Definition Commands, and Def Cmds in Detail.

`@defvr CATEGORY NAME'
`@defvrx CATEGORY NAME'
     Format a description for any kind of variable.  `@defvr' takes as
     arguments the category of the entity and the name of the entity.
     See Definition Commands, and Def Cmds in Detail.

`@detailmenu{}'
     Avoid `makeinfo' confusion stemming from the detailed node listing
     in a master menu.  See Master Menu Parts.

`@dfn{TERM}'
     Highlight the introductory or defining use of a term.  See
     `@dfn'.

`@dircategory DIRPART'
     Specify a part of the Info directory menu where this file's entry
     should go.  See Installing Dir Entries.

`@direntry'
     Begin the Info directory menu entry for this file.  See
     Installing Dir Entries.

`@display'
     Begin a kind of example.  Indent text, do not fill, do not select a
     new font.  Pair with `@end display'.  See `@display'.

`@dmn{DIMENSION}'
     Format a unit of measure, as in 12pt.  Causes TeX to insert a thin
     space before DIMENSION.  No effect in Info.  See `@dmn'.

`@dotaccent{C}'
     Generate a dot accent over the character C, as in .oo.  See
     Inserting Accents.

`@dots{}'
     Insert an ellipsis: `...'.  See `@dots'.

`@email{ADDRESS[, DISPLAYED-TEXT]}'
     Indicate an electronic mail address.  See `@email'.

`@emph{TEXT}'
     Highlight TEXT; text is displayed in *italics* in printed output,
     and surrounded by asterisks in Info.  See Emphasizing Text.

`@end ENVIRONMENT'
     Ends ENVIRONMENT, as in `@end example'.  See @-commands.

`@enddots{}'
     Generate an end-of-sentence of ellipsis, like this ....  See
     `@dots{}'.

`@enumerate [NUMBER-OR-LETTER]'
     Begin a numbered list, using `@item' for each entry.  Optionally,
     start list with NUMBER-OR-LETTER.  Pair with `@end enumerate'.
     See `@enumerate'.

`@equiv{}'
     Indicate to the reader the exact equivalence of two forms with a
     glyph: `=='.  See Equivalence.

`@error{}'
     Indicate to the reader with a glyph that the following text is an
     error message: `error-->'.  See Error Glyph.

`@evenfooting [LEFT] @| [CENTER] @| [RIGHT]'
`@evenheading [LEFT] @| [CENTER] @| [RIGHT]'
     Specify page footings resp. headings for even-numbered (left-hand)
     pages.  Only allowed inside `@iftex'.  See How to Make Your Own Headings.

`@everyfooting [LEFT] @| [CENTER] @| [RIGHT]'
`@everyheading [LEFT] @| [CENTER] @| [RIGHT]'
     Specify page footings resp. headings for every page.  Not relevant
     to Info.  See How to Make Your Own Headings.

`@example'
     Begin an example.  Indent text, do not fill, and select
     fixed-width font.  Pair with `@end example'.  See `@example'.

`@exclamdown{}'
     Produce an upside-down exclamation point.  See Inserting Accents.

`@exdent LINE-OF-TEXT'
     Remove any indentation a line might have.  See Undoing the Indentation of a Line.

`@expansion{}'
     Indicate the result of a macro expansion to the reader with a
     special glyph: `==>'.  See ==> Indicating an Expansion.

`@file{FILENAME}'
     Highlight the name of a file, buffer, node, or directory.  See
     `@file'.

`@finalout'
     Prevent TeX from printing large black warning rectangles beside
     over-wide lines.  See Overfull hboxes.

`@findex ENTRY'
     Add ENTRY to the index of functions.  See Defining the Entries of an Index.

`@flushleft'
`@flushright'
     Left justify every line but leave the right end ragged.  Leave
     font as is.  Pair with `@end flushleft'.  `@flushright' analogous.
     See `@flushleft' and `@flushright'.

`@footnote{TEXT-OF-FOOTNOTE}'
     Enter a footnote.  Footnote text is printed at the bottom of the
     page by TeX; Info may format in either `End' node or `Separate'
     node style.  See Footnotes.

`@footnotestyle STYLE'
     Specify an Info file's footnote style, either `end' for the end
     node style or `separate' for the separate node style.  See
     Footnotes.

`@format'
     Begin a kind of example.  Like `@example' or `@display', but do
     not narrow the margins and do not select the fixed-width font.
     Pair with `@end format'.  See `@example'.

`@ftable FORMATTING-COMMAND'
     Begin a two-column table, using `@item' for each entry.
     Automatically enter each of the items in the first column into the
     index of functions.  Pair with `@end ftable'.  The same as
     `@table', except for indexing.  See `@ftable' and `@vtable'.

`@group'
     Hold text together that must appear on one printed page.  Pair with
     `@end group'.  Not relevant to Info.  See `@group'.

`@H{C}'
     Generate the long Hungarian umlaut accent over C, as in ''o.

`@heading TITLE'
     Print an unnumbered section-like heading in the text, but not in
     the table of contents of a printed manual.  In Info, the title is
     underlined with equal signs.  See Section Commands.

`@headings ON-OFF-SINGLE-DOUBLE'
     Turn page headings on or off, and/or specify single-sided or
     double-sided page headings for printing.  See The `@headings' Command.

`@html'
     Enter HTML completely.  Pair with `@end html'.  See Raw Formatter Commands.

`@hyphenation{HY-PHEN-A-TED WORDS}'
     Explicitly define hyphenation points.  See `@-' and `@hyphenation'.

`@i{TEXT}'
     Print TEXT in italic font.  No effect in Info.  See Fonts.

`@ifclear FLAG'
     If FLAG is cleared, the Texinfo formatting commands format text
     between `@ifclear FLAG' and the following `@end ifclear' command.
     See `@set' `@clear' `@value'.

`@ifhtml'
`@ifinfo'
     Begin a stretch of text that will be ignored by TeX when it
     typesets the printed manual.  The text appears only in the HTML
     resp. Info file.  Pair with `@end ifhtml' resp. `@end ifinfo'.
     See Conditionals.

`@ifnothtml'
`@ifnotinfo'
`@ifnottex'
     Begin a stretch of text that will be ignored in one output format
     but not the others.  The text appears only in the format not
     specified.  Pair with `@end ifnothtml' resp. `@end ifnotinfo' resp.
     `@end ifnotinfo'.  See Conditionals.

`@ifset FLAG'
     If FLAG is set, the Texinfo formatting commands format text
     between `@ifset FLAG' and the following `@end ifset' command.
     See `@set' `@clear' `@value'.

`@iftex'
     Begin a stretch of text that will not appear in the Info file, but
     will be processed only by TeX.  Pair with `@end iftex'.  See
     Conditionally Visible Text.

`@ignore'
     Begin a stretch of text that will not appear in either the Info
     file or the printed output.  Pair with `@end ignore'.  See
     Comments and Ignored Text.

`@image{FILENAME, [WIDTH], [HEIGHT]}'
     Include graphics image in external FILENAME scaled to the given
     WIDTH and/or HEIGHT.  See Images.

`@include FILENAME'
     Incorporate the contents of the file FILENAME into the Info file
     or printed document.  See Include Files.

`@inforef{NODE-NAME, [ENTRY-NAME], INFO-FILE-NAME}'
     Make a cross reference to an Info file for which there is no
     printed manual.  See Cross references using `@inforef'.

`\input MACRO-DEFINITIONS-FILE'
     Use the specified macro definitions file.  This command is used
     only in the first line of a Texinfo file to cause TeX to make use
     of the `texinfo' macro definitions file.  The backslash in `\input'
     is used instead of an `@' because TeX does not recognize `@' until
     after it has read the definitions file.  See The Texinfo File Header.

`@item'
     Indicate the beginning of a marked paragraph for `@itemize' and
     `@enumerate'; indicate the beginning of the text of a first column
     entry for `@table', `@ftable', and `@vtable'.  See Lists and Tables.

`@itemize  MARK-GENERATING-CHARACTER-OR-COMMAND'
     Produce a sequence of indented paragraphs, with a mark inside the
     left margin at the beginning of each paragraph.  Pair with `@end
     itemize'.  See `@itemize'.

`@itemx'
     Like `@item' but do not generate extra vertical space above the
     item text.  See `@itemx'.

`@kbd{KEYBOARD-CHARACTERS}'
     Indicate text that is characters of input to be typed by users.
     See `@kbd'.

`@kbdinputstyle STYLE'
     Specify when `@kbd' should use a font distinct from `@code'.
     See `@kbd'.

`@key{KEY-NAME}'
     Indicate a name for a key on a keyboard.  See `@key'.

`@kindex ENTRY'
     Add ENTRY to the index of keys.  See Defining the Entries of an Index.

`@L{}'
`@l{}'
     Generate the uppercase and lowercase Polish suppressed-L letters,
     respectively: L/, l/.

`@lisp'
     Begin an example of Lisp code.  Indent text, do not fill, and
     select fixed-width font.  Pair with `@end lisp'.  See `@lisp'.

`@lowersections'
     Change subsequent chapters to sections, sections to subsections,
     and so on. See `@raisesections' and `@lowersections'.

`@macro MACRO-NAME {PARAMS}'
     Define a new Texinfo command `@MACRO-NAME{PARAMS}'.  Only
     supported by `makeinfo' and `texi2dvi'.  See Defining Macros.

`@majorheading TITLE'
     Print a chapter-like heading in the text, but not in the table of
     contents of a printed manual.  Generate more vertical whitespace
     before the heading than the `@chapheading' command.  In Info, the
     chapter heading line is underlined with asterisks.  See
     `@majorheading' and `@chapheading'.

`@math{MATHEMATICAL-EXPRESSION}'
     Format a mathematical expression.  See `@math'.

`@menu'
     Mark the beginning of a menu of nodes in Info.  No effect in a
     printed manual.  Pair with `@end menu'.  See Menus.

`@minus{}'
     Generate a minus sign, `-'.  See `@minus'.

`@multitable COLUMN-WIDTH-SPEC'
     Begin a multi-column table.  Pair with `@end multitable'.  See
     Multitable Column Widths.

`@need N'
     Start a new page in a printed manual if fewer than N mils
     (thousandths of an inch) remain on the current page.  See
     `@need'.

`@node NAME, NEXT, PREVIOUS, UP'
     Define the beginning of a new node in Info, and serve as a locator
     for references for TeX.  See `@node'.

`@noindent'
     Prevent text from being indented as if it were a new paragraph.
     See `@noindent'.

`@O{}'
`@o{}'
     Generate the uppercase and lowercase O-with-slash letters,
     respectively: O/, o/.

`@oddfooting [LEFT] @| [CENTER] @| [RIGHT]'
`@oddheading [LEFT] @| [CENTER] @| [RIGHT]'
     Specify page footings resp. headings for odd-numbered (right-hand)
     pages.  Only allowed inside `@iftex'.  See How to Make Your Own Headings.

`@OE{}'
`@oe{}'
     Generate the uppercase and lowercase OE ligatures, respectively:
     OE, oe.  See Inserting Accents.

`@page'
     Start a new page in a printed manual.  No effect in Info.  See
     `@page'.

`@paragraphindent INDENT'
     Indent paragraphs by INDENT number of spaces; delete indentation
     if the value of INDENT is 0; and do not change indentation if
     INDENT is `asis'. See Paragraph Indenting.

`@pindex ENTRY'
     Add ENTRY to the index of programs.  See Defining the Entries of an Index.

`@point{}'
     Indicate the position of point in a buffer to the reader with a
     glyph: `-!-'.  See Indicating Point in a Buffer.

`@pounds{}'
     Generate the pounds sterling currency sign.  See `@pounds{}'.

`@print{}'
     Indicate printed output to the reader with a glyph: `-|'.  See
     Print Glyph.

`@printindex INDEX-NAME'
     Print an alphabetized two-column index in a printed manual or
     generate an alphabetized menu of index entries for Info.  See
     Printing Indices & Menus.

`@pxref{NODE-NAME, [ENTRY], [TOPIC-OR-TITLE], [INFO-FILE], [MANUAL]}'
     Make a reference that starts with a lower case `see' in a printed
     manual.  Use within parentheses only.  Do not follow command with a
     punctuation mark--the Info formatting commands automatically insert
     terminating punctuation as needed.  Only the first argument is
     mandatory.  See `@pxref'.

`@questiondown{}'
     Generate an upside-down question mark.  See Inserting Accents.

`@quotation'
     Narrow the margins to indicate text that is quoted from another
     real or imaginary work.  Write command on a line of its own.  Pair
     with `@end quotation'.  See `@quotation'.

`@r{TEXT}'
     Print TEXT in roman font.  No effect in Info.  See Fonts.

`@raisesections'
     Change subsequent sections to chapters, subsections to sections,
     and so on.  See `@raisesections' and `@lowersections'.

`@ref{NODE-NAME, [ENTRY], [TOPIC-OR-TITLE], [INFO-FILE], [MANUAL]}'
     Make a reference.  In a printed manual, the reference does not
     start with a `See'.  Follow command with a punctuation mark.  Only
     the first argument is mandatory.  See `@ref'.

`@refill'
     In Info, refill and indent the paragraph after all the other
     processing has been done.  No effect on TeX, which always refills.
     This command is no longer needed, since all formatters now
     automatically refill.  See Refilling Paragraphs.

`@result{}'
     Indicate the result of an expression to the reader with a special
     glyph: `=>'.  See `@result'.

`@ringaccent{C}'
     Generate a ring accent over the next character, as in *o.  See
     Inserting Accents.

`@samp{TEXT}'
     Highlight TEXT that is a literal example of a sequence of
     characters.  Used for single characters, for statements, and often
     for entire shell commands.  See `@samp'.

`@sc{TEXT}'
     Set TEXT in a printed output in THE SMALL CAPS FONT and set text
     in the Info file in uppercase letters.  See Smallcaps.

`@section TITLE'
     Begin a section within a chapter.  In a printed manual, the section
     title is numbered and appears in the table of contents.  In Info,
     the title is underlined with equal signs.  See `@section'.

`@set FLAG [STRING]'
     Make FLAG active, causing the Texinfo formatting commands to
     format text between subsequent pairs of `@ifset FLAG' and `@end
     ifset' commands.  Optionally, set value of FLAG to STRING.  See
     `@set' `@clear' `@value'.

`@setchapternewpage ON-OFF-ODD'
     Specify whether chapters start on new pages, and if so, whether on
     odd-numbered (right-hand) new pages.  See `@setchapternewpage'.

`@setfilename INFO-FILE-NAME'
     Provide a name to be used by the Info file.  This command is
     essential for TeX formatting as well, even though it produces no
     output.  See `@setfilename'.

`@settitle TITLE'
     Provide a title for page headers in a printed manual.  See
     `@settitle'.

`@shortcontents'
     Print a short table of contents.  Not relevant to Info, which uses
     menus rather than tables of contents.  A synonym for
     `@summarycontents'.  See Generating a Table of Contents.

`@shorttitlepage{TITLE}'
     Generate a minimal title page.  See `@titlepage'.

`@smallbook'
     Cause TeX to produce a printed manual in a 7 by 9.25 inch format
     rather than the regular 8.5 by 11 inch format.  See Printing Small Books.
     Also, see `@smallexample' and `@smalllisp'.

`@smallexample'
     Indent text to indicate an example.  Do not fill, select
     fixed-width font.  In `@smallbook' format, print text in a smaller
     font than with `@example'.  Pair with `@end smallexample'.  See
     `@smallexample' and `@smalllisp'.

`@smalllisp'
     Begin an example of Lisp code.  Indent text, do not fill, select
     fixed-width font.  In `@smallbook' format, print text in a smaller
     font.  Pair with `@end smalllisp'.  See `@smallexample' and `@smalllisp'.

`@sp N'
     Skip N blank lines.  See `@sp'.

`@ss{}'
     Generate the German sharp-S es-zet letter, ss.  See Inserting Accents.

`@strong TEXT'
     Emphasize TEXT by typesetting it in a *bold* font for the printed
     manual and by surrounding it with asterisks for Info.  See
     Emphasizing Text.

`@subheading TITLE'
     Print an unnumbered subsection-like heading in the text, but not in
     the table of contents of a printed manual.  In Info, the title is
     underlined with hyphens.  See `@unnumberedsubsec' `@appendixsubsec' `@subheading'.

`@subsection TITLE'
     Begin a subsection within a section.  In a printed manual, the
     subsection title is numbered and appears in the table of contents.
     In Info, the title is underlined with hyphens.  See
     `@subsection'.

`@subsubheading TITLE'
     Print an unnumbered subsubsection-like heading in the text, but
     not in the table of contents of a printed manual.  In Info, the
     title is underlined with periods.  See The `subsub' Commands.

`@subsubsection TITLE'
     Begin a subsubsection within a subsection.  In a printed manual,
     the subsubsection title is numbered and appears in the table of
     contents.  In Info, the title is underlined with periods.  See
     The `subsub' Commands.

`@subtitle TITLE'
     In a printed manual, set a subtitle in a normal sized font flush to
     the right-hand side of the page.  Not relevant to Info, which does
     not have title pages.  See `@title' `@subtitle' and `@author' Commands.

`@summarycontents'
     Print a short table of contents.  Not relevant to Info, which uses
     menus rather than tables of contents.  A synonym for
     `@shortcontents'.  See Generating a Table of Contents.

`@syncodeindex FROM-INDEX INTO-INDEX'
     Merge the index named in the first argument into the index named in
     the second argument, printing the entries from the first index in
     `@code' font.  See Combining Indices.

`@synindex FROM-INDEX INTO-INDEX'
     Merge the index named in the first argument into the index named in
     the second argument.  Do not change the font of FROM-INDEX
     entries.  See Combining Indices.

`@t{TEXT}'
     Print TEXT in a fixed-width, typewriter-like font.  No effect in
     Info.  See Fonts.

`@tab'
     Separate columns in a multitable.  See Multitable Rows.

`@table FORMATTING-COMMAND'
     Begin a two-column table, using `@item' for each entry.  Write
     each first column entry on the same line as `@item'.  First column
     entries are printed in the font resulting from FORMATTING-COMMAND.
     Pair with `@end table'.  See Making a Two-column Table.
     Also see `@ftable' and `@vtable',
     and `@itemx'.

`@TeX{}'
     Insert the logo TeX.  See Inserting TeX and (C).

`@tex'
     Enter TeX completely.  Pair with `@end tex'.  See Raw Formatter Commands.

`@thischapter'
`@thischaptername'
`@thisfile'
`@thispage'
`@thistitle'
     Only allowed in a heading or footing.  Stands for the number and
     name of the current chapter (in the format `Chapter 1: Title'),
     the chapter name only, the filename, the current page number, and
     the title of the document, respectively.  See How to Make Your Own Headings.

`@tieaccent{CC}'
     Generate a tie-after accent over the next two characters CC, as in
     `[oo'.  See Inserting Accents.

`@tindex ENTRY'
     Add ENTRY to the index of data types.  See Defining the Entries of an Index.

`@title TITLE'
     In a printed manual, set a title flush to the left-hand side of the
     page in a larger than normal font and underline it with a black
     rule.  Not relevant to Info, which does not have title pages.
     See The `@title' `@subtitle' and `@author' Commands.

`@titlefont{TEXT}'
     In a printed manual, print TEXT in a larger than normal font.  Not
     relevant to Info, which does not have title pages.  See The `@titlefont' `@center' and `@sp' Commands.

`@titlepage'
     Indicate to Texinfo the beginning of the title page.  Write
     command on a line of its own.  Pair with `@end titlepage'.
     Nothing between `@titlepage' and `@end titlepage' appears in Info.
     See `@titlepage'.

`@today{}'
     Insert the current date, in `1 Jan 1900' style.  See How to Make Your Own Headings.

`@top TITLE'
     In a Texinfo file to be formatted with `makeinfo', identify the
     topmost `@node' line in the file, which must be written on the line
     immediately preceding the `@top' command.  Used for `makeinfo''s
     node pointer insertion feature.  The title is underlined with
     asterisks.  Both the `@node' line and the `@top' line normally
     should be enclosed by `@ifinfo' and `@end ifinfo'.  In TeX and
     `texinfo-format-buffer', the `@top' command is merely a synonym
     for `@unnumbered'.  See Creating Pointers with `makeinfo'.

`@u{C}'
`@ubaraccent{C}'
`@udotaccent{C}'
     Generate a breve, underbar, or underdot accent, respectively, over
     or under the character C, as in (o, o_, o-..  See Inserting Accents.

`@unnumbered TITLE'
     In a printed manual, begin a chapter that appears without chapter
     numbers of any kind.  The title appears in the table of contents
     of a printed manual.  In Info, the title is underlined with
     asterisks.  See `@unnumbered' and `@appendix'.

`@unnumberedsec TITLE'
     In a printed manual, begin a section that appears without section
     numbers of any kind.  The title appears in the table of contents
     of a printed manual.  In Info, the title is underlined with equal
     signs.  See Section Commands.

`@unnumberedsubsec TITLE'
     In a printed manual, begin an unnumbered subsection within a
     chapter.  The title appears in the table of contents of a printed
     manual.  In Info, the title is underlined with hyphens.  See
     `@unnumberedsubsec' `@appendixsubsec' `@subheading'.

`@unnumberedsubsubsec TITLE'
     In a printed manual, begin an unnumbered subsubsection within a
     chapter.  The title appears in the table of contents of a printed
     manual.  In Info, the title is underlined with periods.  See The `subsub' Commands.

`@uref{URL[, DISPLAYED-TEXT}'
     Define a cross reference to an external uniform resource locator
     for the World Wide Web.  See `@url'.

`@url{URL}'
     Indicate text that is a uniform resource locator for the World Wide
     Web.  See `@url'.

`@v{C}'
     Generate check accent over the character C, as in <o.  See
     Inserting Accents.

`@value{FLAG}'
     Replace FLAG with the value to which it is set by `@set FLAG'.
     See `@set' `@clear' `@value'.

`@var{METASYNTACTIC-VARIABLE}'
     Highlight a metasyntactic variable, which is something that stands
     for another piece of text.  See Indicating Metasyntactic Variables.

`@vindex ENTRY'
     Add ENTRY to the index of variables.  See Defining the Entries of an Index.

`@vskip AMOUNT'
     In a printed manual, insert whitespace so as to push text on the
     remainder of the page towards the bottom of the page.  Used in
     formatting the copyright page with the argument `0pt plus 1filll'.
     (Note spelling of `filll'.)  `@vskip' may be used only in
     contexts ignored for Info.  See The Copyright Page and Printed Permissions.

`@vtable FORMATTING-COMMAND'
     Begin a two-column table, using `@item' for each entry.
     Automatically enter each of the items in the first column into the
     index of variables.  Pair with `@end vtable'.  The same as
     `@table', except for indexing.  See `@ftable' and `@vtable'.

`@w{TEXT}'
     Prevent TEXT from being split across two lines.  Do not end a
     paragraph that uses `@w' with an `@refill' command.  See `@w'.

`@xref{NODE-NAME, [ENTRY], [TOPIC-OR-TITLE], [INFO-FILE], [MANUAL]}'
     Make a reference that starts with `See' in a printed manual.
     Follow command with a punctuation mark.  Only the first argument is
     mandatory.  See `@xref'.